Bug 1007648 - improve dictionary selection UI
improve dictionary selection UI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-kkc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 23:46 EDT by Daiki Ueno
Modified: 2013-09-24 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: ibus-kkc-1.5.18-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:17:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daiki Ueno 2013-09-12 23:46:10 EDT
Description of problem:
The "Dictionaries" tab on the preferences window has several problems:

- system dictionaries do not have any meaningful labels
- user dictionary can be mistakenly removed (or lowered) by user's action

The UI should be simpler and intuitive for new users.

Version-Release number of selected component (if applicable):
1.5.17-1

How reproducible:
always

Steps to Reproduce:
1. /usr/libexec/ibus-setup-kkc
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-09-13 04:35:46 EDT
ibus-kkc-1.5.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-kkc-1.5.18-1.fc20
Comment 2 Fedora Update System 2013-09-13 04:36:02 EDT
ibus-kkc-1.5.18-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-kkc-1.5.18-1.fc19
Comment 3 Fedora Update System 2013-09-13 13:27:31 EDT
Package ibus-kkc-1.5.18-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-kkc-1.5.18-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16627/ibus-kkc-1.5.18-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 20:17:27 EDT
ibus-kkc-1.5.18-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-24 18:51:22 EDT
ibus-kkc-1.5.18-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.